/* compress.h -- Functions to handle log compression. */
/* $Id: compress.h 150 2002-08-05 01:16:11Z eagle $ */

#ifndef H_COMPRESS
#define H_COMPRESS 1

#include "config.h"
#include <stdio.h>
#include <sys/types.h>

/* Compress a stream into a destination file, optionally with fchmod.  Does
   not close the stream but leaves it at end of file. */
extern bool compress_stream(FILE *source, const char *destname, mode_t mode);

/* Copy a file from one location to another, compressing it. */
extern bool compress_file(const char *sourcename, const char *destname);

#endif /* H_COMPRESS */
